import Cors from 'cors';
import { corsMiddleware } from './cors-middleware.js';
export const generateAuthWebhookNextjs = function generateAuthWebhookNextjs(options) {
    const cors = Cors({ methods: ['GET', 'HEAD'] });
    return async (req, res) => {
        await corsMiddleware(req, res, cors);
        const bearer = req?.headers['Authorization'] || req?.headers['authorization'];
        const token = bearer.slice(7);
        if (typeof (token) !== 'string')
            return res.status(400).json({ error: '!token' });
        res.json(await options.findUserByToken(token));
    };
};
