import { ApolloServer } from 'apollo-server-micro';
import Cors from 'cors';
import { corsMiddleware } from './cors-middleware.js';
export const generateRemoteSchema = function generateRemoteSchema(options) {
    const cors = Cors({ methods: ['POST', 'OPTIONS'] });
    const { path, ...config } = options;
    const apolloServer = new ApolloServer({
        introspection: true,
        ...config,
    });
    const handler = apolloServer.createHandler({ path });
    return {
        default: async (req, res) => {
            await corsMiddleware(req, res, cors);
            return await handler(req, res);
        },
        config: {
            api: {
                bodyParser: false,
            },
        },
    };
};
